## org.hibernate.type
Class AlternativeLobTypes.BlobTypes<S,T extends LobType<S>>

    java.lang.Object
      org.hibernate.type.AlternativeLobTypes<S,T>
          org.hibernate.type.AlternativeLobTypes.BlobTypes<S,T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  AlternativeLobTypes<S,T extends LobType<S>>

    public static class AlternativeLobTypes.BlobTypes<S,T extends LobType<S>>

extends AlternativeLobTypes<S,T>

Provides alternative types for binding `BLOB` values.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.type.AlternativeLobTypes
`AlternativeLobTypes.BlobTypes<S,T extends LobType<S>>, AlternativeLobTypes.ClobTypes<S,T extends LobType<S>>`

Method Summary
`T` `getPrimitiveArrayBindingType()` Returns the type that explicitly binds the `BLOB` value,

Methods inherited from class org.hibernate.type.AlternativeLobTypes
`createLobType, getConstructor, getDefaultType, getLobBindingType, getStreamBindingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPrimitiveArrayBindingType

    public final T getPrimitiveArrayBindingType()

  Returns the type that explicitly binds the `BLOB` value,

  Returns:
    type that binds the `BLOB`
  See Also:
    `BlobTypeDescriptor.PRIMITIVE_ARRAY_BINDING`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.